BaroclineBarocline
BeaconBeacon Hurricane

getHurricaneWindProbSwath

Returns wind probability swath data.

GET
/api/v3/beacon/hurricane/swath/prob

Returns detailed forecast wind probability swath data for specified storm, forecast time, and intensity threshold, outlining location and probabilities.

Query Parameters

initialTime*string

The forecast time in GMT timezone using format YYYMMDDHH (e.g. 2022060103) where HH is hour in increments of 3 (e.g. 00, 03, 06, etc) or keyword 'latest'.

Default"latest"
storm*string

Optional storm identifier - storm name, ATCFID, or 'Atlantic' (basin), or 'all'.

Default"all"
threshold*string

The storm threshold type (ts=tropical storm, h=hurricane).

Default"ts"
Value in"ts" | "h"
userKey*string

User authorization key.

Response Body

application/json

*/*

curl -X GET "https://beacon.atheniumanalytics.com/api/v3/beacon/hurricane/swath/prob?initialTime=latest&storm=all&threshold=ts&userKey=string"
{
  "atcfid": "string",
  "stormName": "string",
  "stormBasin": "string",
  "initialTime": "string",
  "ensembleSys": "string",
  "ensembleNumber": 0,
  "geoFeatureCollection": {
    "type": "string",
    "features": [
      {
        "type": "string",
        "properties": {
          "property1": null,
          "property2": null
        },
        "geometry": {
          "type": "string",
          "coordinates": [
            null
          ]
        }
      }
    ]
  }
}
{}